Bug 597736 - [abrt] crash in awn-extras-applets-0.4.0-9.fc12: slickswitcher.py:391:update_backgrounds:UnboundLocalError: local variable 'paths' referenced before assignment
[abrt] crash in awn-extras-applets-0.4.0-9.fc12: slickswitcher.py:391:update_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:1df715b2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 06:27 EDT by Laurent Forthomme
Modified: 2010-12-03 09:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:11:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.70 KB, text/plain)
2010-05-30 06:27 EDT, Laurent Forthomme
no flags Details

  None (edit)
Description Laurent Forthomme 2010-05-30 06:27:24 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: python /usr/share/avant-window-navigator/applets/slickswitcher/slickswitcher.py --uid=1274995315 --window=27275128 --panel-id=1
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/slickswitcher/slickswitcher.py
kernel: 2.6.32.12-115.fc12.i686
package: awn-extras-applets-0.4.0-9.fc12
reason: slickswitcher.py:391:update_backgrounds:UnboundLocalError: local variable 'paths' referenced before assignment
release: Fedora release 12 (Constantine)
Comment 1 Laurent Forthomme 2010-05-30 06:27:26 EDT
Created attachment 418002 [details]
File: backtrace
Comment 2 leigh scott 2010-05-30 06:53:14 EDT
Can you update awn-extras-applets to the latest version 0.4.0-11 (it should be in updates) and confirm the problem still exists.
Also could you post steps to reproduce.
Comment 3 Dennis Appelon Nielsen 2010-06-07 13:14:31 EDT
Package: awn-extras-applets-0.4.0-12.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Use the desk switch applet
2.change it to compiz wallpaper
3.Reboot

Then you are not able to go bag to gnome....
(Is there a conf file somewhare I can reset the applet in?)


Comment
-----
Use the desk switch applet, and set it to compiz wallpaper, then reboot or restart the AWN and you are not able to go back to Gnome
Comment 4 Fedora Admin XMLRPC Client 2010-06-25 01:55:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2010-11-03 09:51:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 09:11:48 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.